# Generated by Django 4.1.8 on 2023-07-23 00:31

import django.db.models.deletion
import modelcluster.contrib.taggit
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("shared", "0003_initial"),
        ("wagtailcore", "0083_workflowcontenttype"),
        ("uniweb", "0046_merge_20230711_1636"),
    ]

    operations = [
        migrations.AddField(
            model_name="uniwebarticlepage",
            name="shared_from",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailcore.page",
            ),
        ),
        migrations.AddField(
            model_name="uniwebarticlepage",
            name="shared_tags",
            field=modelcluster.contrib.taggit.ClusterTaggableManager(
                blank=True,
                help_text="A comma-separated list of tags.",
                through="shared.SharedTaggedUniwebArticle",
                to="shared.SharedTag",
                verbose_name="Tagy pro sdílení mezi weby",
            ),
        ),
        migrations.AddField(
            model_name="uniwebarticlepage",
            name="shared_type",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="uniwebarticlesindexpage",
            name="shared_tags",
            field=modelcluster.fields.ParentalManyToManyField(
                blank=True,
                help_text="Pro výběr jednoho tagu klikněte na tag a uložte nebo publikujte stránku. Pro výběr více tagů využijte podržte Ctrl a vyberte příslušné tagy.",
                to="shared.sharedtag",
                verbose_name="Výběr tagů pro články sdílené mezi sítěmi",
            ),
        ),
    ]
